Package csb :: Package bio :: Package fragments :: Class ChemShiftTargetResidue

[frames] | no frames]

# Class ChemShiftTargetResidue

source code

       object --+
                |
    TargetResidue --+
                    |
                   ChemShiftTargetResidue

Instance Methods

Assignment

closest(self) Returns: the fragment with the lowest RMSD at this position in the Target | source code

Inherited from `TargetResidue`: `__init__`, `assign`, `filter`, `longest`, `precision` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `TargetResidue`: `assignments`, `native`, `type` Inherited from `object`: `__class__`

Method Details

### closest(self)

source code

Returns: Assignment
  the fragment with the lowest RMSD at this position in the Target
Overrides: TargetResidue.closest
  (inherited documentation)